Bug 769774 - [7eed1d5ba51b65e865f79a392aff70048c702bf0] improve gluster volume heal vol cli outputs
[7eed1d5ba51b65e865f79a392aff70048c702bf0] improve gluster volume heal vol cl...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Vinayaga Raman
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-12-22 02:46 EST by Rahul C S
Modified: 2014-03-30 21:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:33:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 1f3a0dd4742a2fcd3215aee4a5e22125d7ea4f4d
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul C S 2011-12-22 02:46:45 EST
Description of problem:
gluster volume heal <volname> outputs as self-heal daemon not running even if the volume type is not replicate. 

We need to improve the cli output according to the type of the volume, if volume is started & then accordingly if self-heal daemon needs to be running or not.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2011-12-23 02:14:02 EST
CHANGE: http://review.gluster.com/2496 (Improve cli output of gluster volume heal command.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Rahul C S 2012-04-05 02:44:38 EDT
gluster volume heal <volname> shows that the volume is not a replicate volume if the volume does not have replicate translator loaded. 

Shows proper output depending upon volume now.

Note You need to log in before you can comment on or make changes to this bug.